% vim:ts=2:et:sw=2:

N = 31
x = 0:2*pi/N:2*pi
f = cos(x)+sin(3*x)

plot(f, "0")
print('images/octave-source.eps', '-deps2')
%stem(f, "k")
%print('images/octave-source-stem.eps', '-deps2')

y1 = fft(f)
plot(abs(y1), "0")
print('images/octave-fft.eps', '-deps2')
stem(abs(y1), "k")
print('images/octave-fft-stem.eps', '-deps2')

y2 = ifft(y1)
plot(x, y2, "0")
print('images/octave-ifft.eps', '-deps2')
stem(x, y2, "k")
print('images/octave-ifft-stem.eps', '-deps2')
